FreeBSD : mpg123 -- buffer overflow vulnerability (3cc84400-6576-11d9-a9e7-0001020eed82)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Yuri D'Elia has found a buffer overflow vulnerability in mpg123's
parsing of frame headers in input streams. This vulnerability can
potentially lead to execution of arbitrary code with the permissions
of the user running mpg123, if the user runs mpg123 on a specially
crafted MP2 or MP3 file.

See also :

http://www.nessus.org/u?2b25232d

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 18907 (freebsd_pkg_3cc84400657611d9a9e70001020eed82.nasl)

Bugtraq ID:

CVE ID: CVE-2004-0991

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now